org.hibernate.search.query.dsl.impl

## Class ConnectedMultiFieldsTermQueryBuilder

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedMultiFieldsTermQueryBuilder

- All Implemented Interfaces:
    Termination<TermTermination>, TermTermination

      public class ConnectedMultiFieldsTermQueryBuilder
      extends Object
      implements TermTermination

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedMultiFieldsTermQueryBuilder(org.hibernate.search.query.dsl.impl.TermQueryContext termContext, Object value, FieldsContext fieldsContext, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `createQuery()` Return the lucene query representing the operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedMultiFieldsTermQueryBuilder

          public ConnectedMultiFieldsTermQueryBuilder(org.hibernate.search.query.dsl.impl.TermQueryContext termContext,
                                                      Object value,
                                                      FieldsContext fieldsContext,
                                                      org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                      QueryBuildingContext queryContext)

  - ### Method Detail

    - #### createQuery

          public Query createQuery()

      Description copied from interface: `Termination`
      Return the lucene query representing the operation
      Specified by:
        `createQuery` in interface `Termination<TermTermination>`
      Returns:
        the lucene query representing the operation

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved